package org.dromara.payment.earlyWarn.service;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.payment.earlyWarn.domain.bo.LgEarlyWarnDtlBo;
import org.dromara.payment.earlyWarn.domain.vo.LgEarlyWarnDtlVo;

import java.util.Collection;
import java.util.List;


/**
 * 风控预警设置明细Service接口
 *
 * @author LionLi
 * @date 2025-06-10
 */
public interface ILgEarlyWarnDtlService {

    /**
     * 查询风控预警设置明细
     */
    LgEarlyWarnDtlVo queryById(Long id);

    /**
     * 查询风控预警设置明细列表
     */
    TableDataInfo<LgEarlyWarnDtlVo> queryPageList(LgEarlyWarnDtlBo bo, PageQuery pageQuery);

    /**
     * 查询风控预警设置明细列表
     */
    List<LgEarlyWarnDtlVo> queryList(LgEarlyWarnDtlBo bo);

    /**
     * 新增风控预警设置明细
     */
    Boolean insertByBo(LgEarlyWarnDtlBo bo);

    /**
     * 修改风控预警设置明细
     */
    Boolean updateByBo(LgEarlyWarnDtlBo bo);

    /**
     * 校验并批量删除风控预警设置明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
